local ASC_Frame = CreateFrame("Frame");
local ASC_Ticker = nil;
local ASC_TickerTime = 0;
local ASC_Events = {}

function ASC_Events:COMBAT_LOG_EVENT_UNFILTERED(...)
  local _, eventType, _, sourceGUID,
      sourceName, _, _, destGUID,
      destName, _, _, spellId,
      spellName, _, auraType, _,
      _,isCrit,_ = CombatLogGetCurrentEventInfo();
  if(eventType == "SWING_DAMAGE") then
    if(destName == UnitName("player")) then
      ASC_TickerTime = GetTime() + 4;
      if(ASC_Ticker == nil) then
        ASC_Ticker = C_Timer.NewTicker(0.1, function()
          if(GetTime() < ASC_TickerTime) then
            DoEmote("STAND");
          else
            ASC_Ticker:Cancel();
          end
        end);
      end
    end
  end
end

ASC_Frame:SetScript("OnEvent", function(self, event, ...)
 ASC_Events[event](self, ...);
end);
for k, v in pairs(ASC_Events) do
 ASC_Frame:RegisterEvent(k);
end
